Bug#1078081: reprotest: Can't change modification date when invoked against packaging directory (instead of .dsc)
Evangelos Ribeiro Tzaras
devrtz-debian at fortysixandtwo.eu
Tue Aug 6 18:04:51 BST 2024
Package: reprotest
Version: 0.7.27
Severity: normal
X-Debbugs-CC: devrtz-debian at fortysixandtwo.eu
Dear Maintainer,
while running
$ reprotest .
I've run into the following type of failure independent of the package
I'm trying to test:
dpkg-source: info: utilisation de la liste de patchs de
debian/patches/series
dpkg-source: erreur: impossible de modifier la date de build-
experiment-1/.pc/applied-patches: Invalid argument
dpkg-buildpackage: erreur: le sous-processus dpkg-source --before-build
. a retourné l’état de sortie 22
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line
862, in run
return 0 if check_func(*check_args) else 1
^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line
379, in check
local_dists += [proc.send(nv) for nv in zip(bnames[1:],
build_variations[1:])]
^^^^^^^^^^^^^
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line
339, in corun_builds
bctx.run_build(testbed, build, os.environ, artifact_pattern,
testbed_build_pre, no_clean_on_error)
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line
218, in run_build
testbed.check_exec2(build_argv,
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 63,
in check_exec2
self.bomb('"%s" failed with status %i' % (' '.join(argv), code),
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 70,
in bomb
raise _type(m)
However, running against .dsc for the same package
$ reprotest ../${SOURCE_PKG}_${DEB_VERSION}.dsc
runs just fine.
I've attached logs for the {,un}happy cases with --verbosity=2.
To my untrained eye,
the main differences in the logs apart from different paths is:
< sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH;
umask "$REPROTEST_UMASK"; unset REPROTEST_UMASK; dpkg-buildpackage --
no-sign -b'
---
> sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH;
umask "$REPROTEST_UMASK"; unset REPROTEST_UMASK; dpkg-source -x
"unl0kr_2.0.3+dfsg-1.dsc" "$(basename "$PWD")" && cd "$(basename
"$PWD")" && dpkg-buildpackage --no-sign -b'
and
< INFO:reprotest.build:KERNEL variation: SETARCH_ARCH = 'linux64'
SETARCH_OPTS = '--uname-2.6'
< INFO:reprotest.build:NUM_CPUS variation: cpu_list =
2,22,16,11,6,3,19,31,7,24,26,30,12,20,25,13,29
---
> INFO:reprotest.build:KERNEL variation: SETARCH_ARCH = 'uname26'
SETARCH_OPTS = '--uname-2.6'
> INFO:reprotest.build:NUM_CPUS variation: cpu_list = 4,28,20
Thanks for maintaining reprotest!
-- System Information:
Debian Release: trixie/sid
APT prefers unstable-debug
APT policy: (500, 'unstable-debug'), (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
Kernel: Linux 6.10.3-amd64 (SMP w/32 CPU threads; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8),
LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled
Versions of packages reprotest depends on:
ii apt-utils 2.9.7
ii libdpkg-perl 1.22.11
ii procps 2:4.0.4-5
ii python3 3.12.4-1
ii python3-debian 0.1.49
ii python3-distro 1.9.0-1
ii python3-pkg-resources 70.3.0-2
ii python3-rstr 3.2.2-1
Versions of packages reprotest recommends:
ii diffoscope-minimal 273
ii disorderfs 0.5.11-3+b1
ii faketime 0.9.10-2.2
ii locales-all 2.39-6
ii sudo 1.9.15p5-3+b1
Versions of packages reprotest suggests:
ii autodep8 0.28+nmu1
ii qemu-system 1:9.0.2+ds-2
ii qemu-utils 1:9.0.2+ds-2
ii schroot 1.6.13-3+b3
-- no debconf information
-------------- next part --------------
$ reprotest -vv .
[...] # first build succeeds
INFO:reprotest:build successful, copying artifacts
INFO:reprotest:copying /tmp/reprotest.Vtgag3/artifacts-control/ back from virtual server's /tmp/tmpfliqba7s/control
INFO:reprotest:build "experiment-1": vary environment, vary build_path, vary kernel, vary aslr, vary num_cpus, vary time, vary user_group, vary fileordering, vary domain_host, vary home, vary locales, vary exec_path, vary timezone, vary umask
INFO:reprotest.build:ENVIRONMENT variation: added = (('REPROTEST_CAPTURE_ENVIRONMENT', 'i_capture_the_environment')) removed =
INFO:reprotest.build:ASLR variation: ASLR enabled
INFO:reprotest.build:FAKETIME variation: faketime = +398days+12hours+25minutes
WARNING:reprotest.build:IGNORING user_group variation; supply more usergroups with --variations=user_group.available+=USER1:GROUP1;USER2:GROUP2 or alternatively, suppress this warning with --variations=-user_group
INFO:reprotest.build:DISORDERFS variation: --shuffle-dirents=yes
INFO:reprotest.build:DOMAIN_HOST variation: hostname = reprotest-capture-hostname domainname = reprotest-capture-domainname
WARNING:reprotest.build:Not using sudo for domain_host; your build may fail. See man page for other options.
WARNING:reprotest.build:Be sure to `echo 1 > /proc/sys/kernel/unprivileged_userns_clone` if on a Debian system.
INFO:reprotest.build:HOME variation: HOME = /nonexistent/second-build
INFO:reprotest.build:LOCALE variation: LC_ALL = et_EE.UTF-8 LANGUAGE = et_EE.UTF-8:fr
INFO:reprotest.build:EXEC_PATH variation: PATH = /home/fortysixandtwo/bin:/usr/lib/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/i_capture_the_path
INFO:reprotest.build:TIMEZONE variation: TZ=GMT-14
INFO:reprotest.build:UMASK variation: umask 0002
INFO:reprotest:copying . over to virtual server's /tmp/reprotest.Vtgag3/build-experiment-1/
INFO:reprotest:starting build with source directory: /tmp/reprotest.Vtgag3/build-experiment-1/, artifact pattern: ./../*.*deb
INFO:reprotest:executing build in /tmp/reprotest.Vtgag3/build-experiment-1/
DEBUG:reprotest:#### REPROTEST BUILD ENVVARS ###################################################
+HOME=/nonexistent/second-build
+LANG=et_EE.UTF-8
+LANGUAGE=et_EE.UTF-8:fr
+PATH=/home/fortysixandtwo/bin:/usr/lib/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/i_capture_the_path
DEBUG:reprotest:#### BEGIN REPROTEST BUILD SCRIPT ##############################################
run_build() {
mkdir -p /tmp/reprotest.Vtgag3/build-experiment-1-aux && \
SETARCH_ARCH=$(for a in $(setarch --list); do setarch $a true && echo $a || true; done) && \
DROP_ARCH="-v -e ^$(uname -m)\$" && \
WORDSIZE=64 && \
if [ $WORDSIZE -eq 64 ]; then for _ARCH_TO_DROP in armh armv7b armv7l armv8b armv8l arm athlon i386 i486 i586 i686 linux32 mips32 mips parisc32 parisc ppc32le ppc32 ppcle ppc s390 sparc32bash sparc32 sparc; do DROP_ARCH="$DROP_ARCH -e ^$_ARCH_TO_DROP\$"; done; fi && \
SETARCH_ARCH=$(echo "$SETARCH_ARCH" | grep $DROP_ARCH | shuf -n1) && \
KERNEL_VERSION=$(uname -r) && \
if [ ${KERNEL_VERSION#2.6} = $KERNEL_VERSION ]; then SETARCH_OPTS=--uname-2.6; fi && \
echo "INFO:reprotest.build:KERNEL variation: SETARCH_ARCH = '$SETARCH_ARCH' SETARCH_OPTS = '$SETARCH_OPTS'" >&2 && \
CPU_MAX=$(nproc) && \
CPU_MIN=$({ echo $CPU_MAX; echo 1; } | sort -n | head -n1) && \
CPU_NUM=$(if [ $CPU_MIN = $CPU_MAX ]; then echo $CPU_MIN; echo >&2 "only 1 CPU is available; num_cpus is ineffective"; else shuf -i$((CPU_MIN + 1))-$CPU_MAX -n1; fi) && \
export CPU_LIST="$(echo $(shuf -i0-$((CPU_MAX - 1)) -n$CPU_NUM) | tr ' ' ,)" && \
echo "INFO:reprotest.build:NUM_CPUS variation: cpu_list = $CPU_LIST" >&2 && \
mv /tmp/reprotest.Vtgag3/build-experiment-1/ /tmp/reprotest.Vtgag3/build-experiment-1-before-disorderfs/ && \
mkdir -p /tmp/reprotest.Vtgag3/build-experiment-1/ && \
disorderfs >&2 --shuffle-dirents=yes /tmp/reprotest.Vtgag3/build-experiment-1-before-disorderfs/ /tmp/reprotest.Vtgag3/build-experiment-1/ && \
umask 0002 && \
export REPROTEST_BUILD_PATH=/tmp/reprotest.Vtgag3/build-experiment-1/ && \
export REPROTEST_UMASK=$(umask) && \
unshare -r --uts sh -ec '
hostname reprotest-capture-hostname
domainname "reprotest-capture-domainname"
"$@"' - \
faketime +398days+12hours+25minutes \
taskset -a -c $CPU_LIST \
setarch $SETARCH_ARCH $SETARCH_OPTS \
sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH; umask "$REPROTEST_UMASK"; unset REPROTEST_UMASK; dpkg-buildpackage --no-sign -b'
}
cleanup() {
__c=0; \
export PATH="/tmp/reprotest.Vtgag3/bin:$PATH" || __c=$?; \
fusermount -u /tmp/reprotest.Vtgag3/build-experiment-1/ || __c=$?; \
rmdir /tmp/reprotest.Vtgag3/build-experiment-1/ || __c=$?; \
mv /tmp/reprotest.Vtgag3/build-experiment-1-before-disorderfs/ /tmp/reprotest.Vtgag3/build-experiment-1/ || __c=$?; \
rm -rf /tmp/reprotest.Vtgag3/build-experiment-1-aux || __c=$?; \
exit $__c
}
trap '( cleanup )' HUP INT QUIT ABRT TERM PIPE # FIXME doesn't quite work reliably yet
if ( run_build ); then ( cleanup ); else
__x=$?; # save the exit code of run_build
if ( ! false ); then
if ( cleanup ); then :; else echo >&2 "cleanup failed with exit code $?"; fi;
fi
exit $__x
fi
DEBUG:reprotest:#### END REPROTEST BUILD SCRIPT ################################################
INFO:reprotest.build:KERNEL variation: SETARCH_ARCH = 'linux64' SETARCH_OPTS = '--uname-2.6'
INFO:reprotest.build:NUM_CPUS variation: cpu_list = 2,22,16,11,6,3,19,31,7,24,26,30,12,20,25,13,29
disorderfs: shuffling directory entries
disorderfs: reversing directory entries
dpkg-buildpackage: info: paquet source unl0kr
dpkg-buildpackage: info: version source 2.0.3+dfsg-1
dpkg-buildpackage: info: distribution source unstable
dpkg-buildpackage: info: source changé par Jarrah Gosbell <debian at undef.tools>
dpkg-buildpackage: info: architecture hôte amd64
dpkg-source --before-build .
dpkg-source: info: utilisation de la liste de patchs de debian/patches/series
dpkg-source: erreur: impossible de modifier la date de build-experiment-1/.pc/applied-patches: Invalid argument
dpkg-buildpackage: erreur: le sous-processus dpkg-source --before-build . a retourné l’état de sortie 22
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 862, in run
return 0 if check_func(*check_args) else 1
^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 379, in check
local_dists += [proc.send(nv) for nv in zip(bnames[1:], build_variations[1:])]
^^^^^^^^^^^^^
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 339, in corun_builds
bctx.run_build(testbed, build, os.environ, artifact_pattern, testbed_build_pre, no_clean_on_error)
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 218, in run_build
testbed.check_exec2(build_argv,
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 63, in check_exec2
self.bomb('"%s" failed with status %i' % (' '.join(argv), code),
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 70, in bomb
raise _type(m)
reprotest.lib.adtlog.AutopkgtestError: "sh -ec run_build() {
mkdir -p /tmp/reprotest.Vtgag3/build-experiment-1-aux && \
SETARCH_ARCH=$(for a in $(setarch --list); do setarch $a true && echo $a || true; done) && \
DROP_ARCH="-v -e ^$(uname -m)\$" && \
WORDSIZE=64 && \
if [ $WORDSIZE -eq 64 ]; then for _ARCH_TO_DROP in armh armv7b armv7l armv8b armv8l arm athlon i386 i486 i586 i686 linux32 mips32 mips parisc32 parisc ppc32le ppc32 ppcle ppc s390 sparc32bash sparc32 sparc; do DROP_ARCH="$DROP_ARCH -e ^$_ARCH_TO_DROP\$"; done; fi && \
SETARCH_ARCH=$(echo "$SETARCH_ARCH" | grep $DROP_ARCH | shuf -n1) && \
KERNEL_VERSION=$(uname -r) && \
if [ ${KERNEL_VERSION#2.6} = $KERNEL_VERSION ]; then SETARCH_OPTS=--uname-2.6; fi && \
echo "INFO:reprotest.build:KERNEL variation: SETARCH_ARCH = '$SETARCH_ARCH' SETARCH_OPTS = '$SETARCH_OPTS'" >&2 && \
CPU_MAX=$(nproc) && \
CPU_MIN=$({ echo $CPU_MAX; echo 1; } | sort -n | head -n1) && \
CPU_NUM=$(if [ $CPU_MIN = $CPU_MAX ]; then echo $CPU_MIN; echo >&2 "only 1 CPU is available; num_cpus is ineffective"; else shuf -i$((CPU_MIN + 1))-$CPU_MAX -n1; fi) && \
export CPU_LIST="$(echo $(shuf -i0-$((CPU_MAX - 1)) -n$CPU_NUM) | tr ' ' ,)" && \
echo "INFO:reprotest.build:NUM_CPUS variation: cpu_list = $CPU_LIST" >&2 && \
mv /tmp/reprotest.Vtgag3/build-experiment-1/ /tmp/reprotest.Vtgag3/build-experiment-1-before-disorderfs/ && \
mkdir -p /tmp/reprotest.Vtgag3/build-experiment-1/ && \
disorderfs >&2 --shuffle-dirents=yes /tmp/reprotest.Vtgag3/build-experiment-1-before-disorderfs/ /tmp/reprotest.Vtgag3/build-experiment-1/ && \
umask 0002 && \
export REPROTEST_BUILD_PATH=/tmp/reprotest.Vtgag3/build-experiment-1/ && \
export REPROTEST_UMASK=$(umask) && \
unshare -r --uts sh -ec '
hostname reprotest-capture-hostname
domainname "reprotest-capture-domainname"
"$@"' - \
faketime +398days+12hours+25minutes \
taskset -a -c $CPU_LIST \
setarch $SETARCH_ARCH $SETARCH_OPTS \
sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH; umask "$REPROTEST_UMASK"; unset REPROTEST_UMASK; dpkg-buildpackage --no-sign -b'
}
cleanup() {
__c=0; \
export PATH="/tmp/reprotest.Vtgag3/bin:$PATH" || __c=$?; \
fusermount -u /tmp/reprotest.Vtgag3/build-experiment-1/ || __c=$?; \
rmdir /tmp/reprotest.Vtgag3/build-experiment-1/ || __c=$?; \
mv /tmp/reprotest.Vtgag3/build-experiment-1-before-disorderfs/ /tmp/reprotest.Vtgag3/build-experiment-1/ || __c=$?; \
rm -rf /tmp/reprotest.Vtgag3/build-experiment-1-aux || __c=$?; \
exit $__c
}
trap '( cleanup )' HUP INT QUIT ABRT TERM PIPE # FIXME doesn't quite work reliably yet
if ( run_build ); then ( cleanup ); else
__x=$?; # save the exit code of run_build
if ( ! false ); then
if ( cleanup ); then :; else echo >&2 "cleanup failed with exit code $?"; fi;
fi
exit $__x
fi" failed with status 22
-------------- next part --------------
$ reprotest -vv ../unl0kr_2.0.3+dfsg-1.dsc
[...] # first build succeeds
INFO:reprotest:build successful, copying artifacts
INFO:reprotest:copying /tmp/reprotest.TOhz01/artifacts-control/ back from virtual server's /tmp/tmpaoyolwgy/control
INFO:reprotest:build "experiment-1": vary environment, vary build_path, vary kernel, vary aslr, vary num_cpus, vary time, vary user_group, vary fileordering, vary domain_host, vary home, vary locales, vary exec_path, vary timezone, vary umask
INFO:reprotest.build:ENVIRONMENT variation: added = (('REPROTEST_CAPTURE_ENVIRONMENT', 'i_capture_the_environment')) removed =
INFO:reprotest.build:ASLR variation: ASLR enabled
INFO:reprotest.build:FAKETIME variation: enabled but avoiding use of faketime as build environment is sufficiently old!
WARNING:reprotest.build:IGNORING user_group variation; supply more usergroups with --variations=user_group.available+=USER1:GROUP1;USER2:GROUP2 or alternatively, suppress this warning with --variations=-user_group
INFO:reprotest.build:DISORDERFS variation: --shuffle-dirents=yes
INFO:reprotest.build:DOMAIN_HOST variation: hostname = reprotest-capture-hostname domainname = reprotest-capture-domainname
WARNING:reprotest.build:Not using sudo for domain_host; your build may fail. See man page for other options.
WARNING:reprotest.build:Be sure to `echo 1 > /proc/sys/kernel/unprivileged_userns_clone` if on a Debian system.
INFO:reprotest.build:HOME variation: HOME = /nonexistent/second-build
INFO:reprotest.build:LOCALE variation: LC_ALL = et_EE.UTF-8 LANGUAGE = et_EE.UTF-8:fr
INFO:reprotest.build:EXEC_PATH variation: PATH = /home/fortysixandtwo/bin:/usr/lib/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/i_capture_the_path
INFO:reprotest.build:TIMEZONE variation: TZ=GMT-14
INFO:reprotest.build:UMASK variation: umask 0002
INFO:reprotest:copying /tmp/tmpxlcinwav/testbed_pre over to virtual server's /tmp/reprotest.TOhz01/build-experiment-1/
INFO:reprotest:starting build with source directory: /tmp/reprotest.TOhz01/build-experiment-1/, artifact pattern: ./*.*deb
INFO:reprotest:executing build in /tmp/reprotest.TOhz01/build-experiment-1/
DEBUG:reprotest:#### REPROTEST BUILD ENVVARS ###################################################
+HOME=/nonexistent/second-build
+LANG=et_EE.UTF-8
+LANGUAGE=et_EE.UTF-8:fr
+PATH=/home/fortysixandtwo/bin:/usr/lib/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/i_capture_the_path
DEBUG:reprotest:#### BEGIN REPROTEST BUILD SCRIPT ##############################################
run_build() {
mkdir -p /tmp/reprotest.TOhz01/build-experiment-1-aux && \
SETARCH_ARCH=$(for a in $(setarch --list); do setarch $a true && echo $a || true; done) && \
DROP_ARCH="-v -e ^$(uname -m)\$" && \
WORDSIZE=64 && \
if [ $WORDSIZE -eq 64 ]; then for _ARCH_TO_DROP in armh armv7b armv7l armv8b armv8l arm athlon i386 i486 i586 i686 linux32 mips32 mips parisc32 parisc ppc32le ppc32 ppcle ppc s390 sparc32bash sparc32 sparc; do DROP_ARCH="$DROP_ARCH -e ^$_ARCH_TO_DROP\$"; done; fi && \
SETARCH_ARCH=$(echo "$SETARCH_ARCH" | grep $DROP_ARCH | shuf -n1) && \
KERNEL_VERSION=$(uname -r) && \
if [ ${KERNEL_VERSION#2.6} = $KERNEL_VERSION ]; then SETARCH_OPTS=--uname-2.6; fi && \
echo "INFO:reprotest.build:KERNEL variation: SETARCH_ARCH = '$SETARCH_ARCH' SETARCH_OPTS = '$SETARCH_OPTS'" >&2 && \
CPU_MAX=$(nproc) && \
CPU_MIN=$({ echo $CPU_MAX; echo 1; } | sort -n | head -n1) && \
CPU_NUM=$(if [ $CPU_MIN = $CPU_MAX ]; then echo $CPU_MIN; echo >&2 "only 1 CPU is available; num_cpus is ineffective"; else shuf -i$((CPU_MIN + 1))-$CPU_MAX -n1; fi) && \
export CPU_LIST="$(echo $(shuf -i0-$((CPU_MAX - 1)) -n$CPU_NUM) | tr ' ' ,)" && \
echo "INFO:reprotest.build:NUM_CPUS variation: cpu_list = $CPU_LIST" >&2 && \
mv /tmp/reprotest.TOhz01/build-experiment-1/ /tmp/reprotest.TOhz01/build-experiment-1-before-disorderfs/ && \
mkdir -p /tmp/reprotest.TOhz01/build-experiment-1/ && \
disorderfs >&2 --shuffle-dirents=yes /tmp/reprotest.TOhz01/build-experiment-1-before-disorderfs/ /tmp/reprotest.TOhz01/build-experiment-1/ && \
umask 0002 && \
export REPROTEST_BUILD_PATH=/tmp/reprotest.TOhz01/build-experiment-1/ && \
export REPROTEST_UMASK=$(umask) && \
unshare -r --uts sh -ec '
hostname reprotest-capture-hostname
domainname "reprotest-capture-domainname"
"$@"' - \
taskset -a -c $CPU_LIST \
setarch $SETARCH_ARCH $SETARCH_OPTS \
sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH; umask "$REPROTEST_UMASK"; unset REPROTEST_UMASK; dpkg-source -x "unl0kr_2.0.3+dfsg-1.dsc" "$(basename "$PWD")" && cd "$(basename "$PWD")" && dpkg-buildpackage --no-sign -b'
}
cleanup() {
__c=0; \
export PATH="/tmp/reprotest.TOhz01/bin:$PATH" || __c=$?; \
fusermount -u /tmp/reprotest.TOhz01/build-experiment-1/ || __c=$?; \
rmdir /tmp/reprotest.TOhz01/build-experiment-1/ || __c=$?; \
mv /tmp/reprotest.TOhz01/build-experiment-1-before-disorderfs/ /tmp/reprotest.TOhz01/build-experiment-1/ || __c=$?; \
rm -rf /tmp/reprotest.TOhz01/build-experiment-1-aux || __c=$?; \
exit $__c
}
trap '( cleanup )' HUP INT QUIT ABRT TERM PIPE # FIXME doesn't quite work reliably yet
if ( run_build ); then ( cleanup ); else
__x=$?; # save the exit code of run_build
if ( ! false ); then
if ( cleanup ); then :; else echo >&2 "cleanup failed with exit code $?"; fi;
fi
exit $__x
fi
DEBUG:reprotest:#### END REPROTEST BUILD SCRIPT ################################################
INFO:reprotest.build:KERNEL variation: SETARCH_ARCH = 'uname26' SETARCH_OPTS = '--uname-2.6'
INFO:reprotest.build:NUM_CPUS variation: cpu_list = 4,28,20
disorderfs: shuffling directory entries
disorderfs: reversing directory entries
dpkg-source: avertissement: extraction d'un paquet source non signé (unl0kr_2.0.3+dfsg-1.dsc)
dpkg-source: info: extraction de unl0kr dans build-experiment-1
dpkg-source: info: extraction de unl0kr_2.0.3+dfsg.orig.tar.xz
dpkg-source: info: extraction de unl0kr_2.0.3+dfsg-1.debian.tar.xz
dpkg-source: info: utilisation de la liste de patchs de debian/patches/series
dpkg-source: info: mise en place de 0001-Remove-newline-from-password-output.patch
dpkg-source: info: mise en place de find_sources_script_stable_file_order.patch
dpkg-buildpackage: info: paquet source unl0kr
dpkg-buildpackage: info: version source 2.0.3+dfsg-1
dpkg-buildpackage: info: distribution source unstable
[...] # build continues just fine
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 878 bytes
Desc: This is a digitally signed message part
URL: <http://alioth-lists.debian.net/pipermail/reproducible-builds/attachments/20240806/a956fc6a/attachment.sig>
More information about the Reproducible-builds
mailing list